import React from "react";
import { MatrixEvent, MatrixClient } from "matrix-js-sdk/src/matrix";
interface IProps {
    matrixClient: MatrixClient;
    mxEvent: MatrixEvent;
    onFinished(): void;
}
interface IState {
    error?: Error;
}
/**
 * Dialog to view m.location events maximised
 */
export default class LocationViewDialog extends React.Component<IProps, IState> {
    constructor(props: IProps);
    private getBodyId;
    private onError;
    render(): React.ReactNode;
}
export {};
